Categories:
  - Connectivity
  - Internet
  - Multimedia
License: GPL-3.0-only
AuthorName: LucasGGamerM
AuthorEmail: moshidon.app@gmail.com
AuthorWebSite: https://github.com/LucasGGamerM
WebSite: https://lucasggamerm.github.io/moshidon/
SourceCode: https://github.com/LucasGGamerM/moshidon
IssueTracker: https://github.com/LucasGGamerM/moshidon/issues
Changelog: https://github.com/LucasGGamerM/moshidon/releases
Donate: https://github.com/sponsors/LucasGGamerM

AutoName: Moshidon

RepoType: git
Repo: https://github.com/LucasGGamerM/moshidon.git
Binaries: https://github.com/LucasGGamerM/moshidon/releases/download/%v/moshidon-fdroidRelease.apk

Builds:
  - versionName: 2.1.4+fork.102.moshinda
    versionCode: 102
    commit: 03cb0b3c472895de9374b8ab6f12b0153140e19e
    subdir: mastodon
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: build/outputs/apk/fdroidRelease/*.apk

  - versionName: 2.1.4+fork.103.moshinda
    versionCode: 103
    disable: https://github.com/LucasGGamerM/moshidon/issues/315
    commit: 522763b33a6682c7444b92e669e11c6b86829d5c
    subdir: mastodon
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: build/outputs/apk/fdroidRelease/*.apk

AllowedAPKSigningKeys: 1dd4d6db7138335834e3927cc745ad48236abc52252bbb8369e96b8bba777720

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 2.1.4+fork.103.moshinda
CurrentVersionCode: 103
